@charset "UTF-8";
/* GENIEE Search*/

main {
    max-width: 980px;
    margin: 0 auto;
    padding: 80px 20px 20px;
}

h1 {
    text-align: center;
    font-size: 50px;
    font-weight: normal;
}

.langage-change-link {
    text-align: right;
    margin: 0 0 10px;
}

.langage-change-link a {
    font-size: 12px;
    font-weight: bold;
    text-decoration: underline;
    position: relative;
    padding: 0 10px 0;
    color: #333;
}

.langage-change-link a:hover {
    color: #CC0033;
    text-decoration: none;
}

.langage-change-link a::after {
    content: "";
    width: 5px;
    height: 5px;
    border-top: 2px solid #000;
    border-right: 2px solid #000;
    transform: rotate(45deg);
    position: absolute;
    display: inline-block;
    top: 6px;
    right: 0;
}

.langage-change-link a:hover::after {
    border-color: #CC0033;
}

/* =============================
        検索フォーム
============================= */

.search-form {
    margin-bottom: 8px;
}

.search-row {
    display: flex;
    gap: 0px;
    align-items: stretch;
    border: 1px solid #000;
    border-radius: 10px;
    overflow: hidden;
}

.search-scope select,
.search-input input,
.search-submit button {
    font-size: 16px;
    padding: 10px;
    box-sizing: border-box;
}

.visually-hidden {
    position: absolute !important;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip: rect(0, 0, 0, 0);
    white-space: nowrap;
    border: 0;
}

/* 左：検索範囲 */
.search-scope select {
    width: 200px;
    height: 100%;
    border-top: none;
    border-right: 1px solid #000;
    border-bottom: none;
    border-left: none;
    border-radius: 10px 0 0 10px;
    font-size: 14px;
}

/* 中央：キーワード */
.search-input-wrapper {
    position: relative;
    display: flex;
    flex: 1;
}

.search-input-wrapper input {
    width: 100%;
    height: 95%;
    padding-left: 0.5rem;
    padding-right: 2.5rem;
    border: none;
    font-size: 16px;
}

.nice-select .option:hover,
.nice-select .option.focus,
.nice-select .option.selected.focus .search-input-wrapper input {
    color: #fff;
    background-color: #e60000
}

.clear-button {
    position: absolute;
    right: 0.5rem;
    top: 50%;
    transform: translateY(-50%);
    border: none;
    background: none;
    cursor: pointer;
    font-size: 1.2rem;
    line-height: 1;
}

.clear-button:focus-visible {
    outline: 2px solid #000;
}

.clear-button {
    display: none;
}

/* 右：送信ボタン */
.search-submit button {
    width: 42px;
    height: 42px;
    cursor: pointer;
    background: #fff;
    color: #fff;
    border: none;
    border-radius: 0 10px 10px 0;
    display: flex;
    align-items: center;
    justify-content: center;
}

/* SVG用プレース */
.search-submit svg {
    width: 20px;
    height: 20px;
    fill: currentColor;
}

/* =============================
        件数＋表示切替
============================= */

.result-bar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 20px;
    padding: 10px 5px;
    flex-wrap: wrap;
    background-color: #ececec;
}

.result-count {
    font-size: 14px;
    font-weight: bold;
    color: #333;
    margin: 0;
}

/* 表示件数 */
.files-group,
.limit-group {
    display: flex;
    gap: 8px;
    border: 0;
    padding: 0;
    margin: 0;
}

.files-select-num-display,
.limit-select-num-display {
    display: flex;
    align-items: center;
}

.search-result-view-control {
    font-size: 14px;
    color: #333;
    font-weight: bold;
}

.files-select-num-item,
.limit-select-num-item {
    background-color: #fff;
    padding: 5px;
}

/* ラジオ自体は非表示 */
.files-option input[type="radio"],
.limit-option input[type="radio"] {
    position: absolute;
    opacity: 0;
}

.files-option input[type="radio"]:focus+span,
.limit-option input[type="radio"]:focus+span {
    outline: 2px solid #000;
    outline-offset: 2px;
}

/* 見た目をボタン化 */
.files-option span,
.limit-option span {
    display: inline-block;
    padding: 3px 12px;
    color: #333;
    /* border: 1px solid #333; */
    cursor: pointer;
    user-select: none;
    font-size: 14px;
}

/* ホバー */
.files-option span:hover,
.limit-option span:hover {
    background: #eee;
    color: #CC0033;
}

/* チェック状態 */
.files-option input[type="radio"]:checked+span,
.limit-option input[type="radio"]:checked+span {
    background: #333;
    color: #fff;
}


/* =============================
        注目のキーワード
 ============================= */

.trending-words-area {
    display: flex;
    align-items: center;
    margin: 0 0 20px;
}

.trending-words-title {
    position: relative;
    font-size: 14px;
    font-weight: bold;
    flex-shrink: 0;
    padding: 0 0 0 23px;
}

.trending-words-title::before {
    position: absolute;
    left: 0;
    top: 0;
    font-family: 'Material Icons';
    content: "local_fire_department";
    color: #CC0033;
    font-size: 20px;
}

.trending-words-list {
    list-style: none;
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    padding-left: 15px;
}

.trending-words-list li {
    position: relative;
    font-size: 14px;
    color: #333;
    border: 1px solid #333;
    border-radius: 40px;
    overflow: hidden;
}

.trending-words-list li:hover {
    border-color: #CC0033;
}

.trending-words-list li a,
.trending-words-list li a:visited {
    display: inline-block;
    padding: 3px 18px;
    color: #333;
    text-decoration: none;
}

.trending-words-list li a:focus,
.trending-words-list li a:hover {
    color: #CC0033;
}

.trending-words-list li a:active {
    color: #fff;
    background-color: #CC0033;
}



/* 関連性が高いページ */
.recommend-box {
    position: relative;
    margin-top: 30px !important;
    margin-bottom: 30px;
}

/* 「関連性が高いページ」タブ部分 */
.recommend-box::before {
    content: "関連性が高いページ";
    position: absolute;
    top: -20px;
    left: 0px;
    background-color: #FBFFD4;
    color: #000;
    font-size: 13px;
    font-weight: bold;
    padding: 4px 12px;
    border-radius: 6px 6px 0 0;
    line-height: 1;
}

/* =============================
        検索結果一覧
 ============================= */

.search-results {
    list-style: none;
    padding: 0;
    margin: 0;
}

.search-item {
    position: relative;
    display: flex;
    gap: 16px;
    padding: 20px 15px;
    border-bottom: 1px solid #000;
}

.search-item-pr {
    background: #FBFFD4;
    /* background: linear-gradient(180deg, rgba(251, 255, 212, 1) 0%, rgba(251, 255, 212, 1) 20%, rgba(255, 255, 255, 1) 100%); */
}

/* 別窓 icon */
.search-content:has(a[target="_blank"])::before {
    position: absolute;
    right: 5px;
    bottom: 5px;
    font-family: 'Material Icons';
    content: "open_in_new";
    color: #CC0033;
    font-size: 20px;
}

.search-thumb {
    flex-shrink: 0;
    width: 150px;
}

.search-thumb img {
    width: 150px;
    height: 113px;
    object-fit: cover;
    vertical-align: middle;
}

.search-content {
    flex: 1;
}

.search-title {
    font-size: 18px;
    margin: 0 0 8px;
}

.search-title a {
    width: fit-content;
    color: #000;
    text-decoration: underline;
    /*文字数制限*/
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 1;
    overflow: hidden;
    min-height: 0;
}

.search-title a:hover {
    color: #CC0033;
    text-decoration: none;
}

.search-description {
    font-size: 14px;
    margin: 0 0 8px;
    /*文字数制限*/
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
    min-height: 0;
}

/* URL */
.search-url {
    font-size: 13px;
    color: #CC0033;
    word-break: break-all;
}

.search-url a {
    color: #CC0033;
    text-decoration: none;
}

.search-url a:hover {
    text-decoration: underline;
}

.search-url a.pdf::after {
    content: url("/content/dam/nttcom/cmn/img/adobe_pdf_file_icon_16x16.png");
    vertical-align: bottom;
    display: inline-block;
    width: 16px;
    height: 16px;
    margin-left: 5px;
}

/* 識別 */
._filetype_html {
    display: none;
}

._filetype_pdf {
    width: 16px;
    height: 16px;
    background-image: url('/content/dam/nttcom/cmn/img/adobe_pdf_file_icon_16x16.png');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    vertical-align: middle;
    position: relative;
    top: -1px;
}



/* tag */
.search-tag {
    font-size: 12px;
    cursor: default;
}

.search-tag span {
    padding: 2px 10px 3px;
    border-radius: 5px;
}

.search-tag .suppor-site {
    color: #fff;
    background-color: #767676;
}

.search-tag .nttdos {
    color: #fff;
    background-color: #767676;
}

.search-tag .pdf-link {
    padding-left: 0;
}

.search-tag .pdf-link::before {
    content: "";
    /* 空のコンテンツを作る */
    display: inline-block;
    width: 16px;
    height: 16px;
    margin-right: 8px;
    /* テキストとの間隔 */
    /* アイコンの設定 */
    background-image: url('/content/dam/nttcom/cmn/img/adobe_pdf_file_icon_16x16.png');
    /* ここにパスを指定 */
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    /* テキストと中央を合わせるための微調整 */
    vertical-align: middle;
    position: relative;
    top: -1px;
}

/* =============================
        ページャー
============================= */

.pager {
    display: flex;
    justify-content: center;
    gap: 10px;
    margin-top: 30px;
}

.pager span {
    text-decoration: none;
    color: #333;
    border: none;
}

.pager span b,
.pager span a {
    display: inline-block;
    padding: 8px 12px;
}

.pager span a,
.pager span a:visited {
    color: #333;
    text-decoration: none;
}

.pager span a:hover {
    background-color: #eee;
    color: #CC0033;
}

.pager span.number_on {
    background: #333;
    color: #fff;
}


.footer-area {
    background: #e2e2e2;
    padding: 15px 0;
    width: 100%;
    text-align: center;
    margin-top: 100px;
    font-size: 14px;
}

/* =============================
        SSバナー
 ============================= */
.banner_bottom {
    margin: 40px auto 0;
    width: fit-content;
}

.banner_bottom img {
    vertical-align: top;
    width: 720px;
    height: auto;

    @media (width < 768px) {
        width: 300px;
    }
}


/* =============================
        レスポンシブ
 ============================= */

@media (max-width: 730px) {
    .result-bar {
        padding: 10px;
    }

    .result-bar .result-count {
        margin-bottom: 10px;
    }

    .result-bar .result-files {
        margin-bottom: 10px;
    }
}

@media (max-width: 415px) {
    h1 {
        font-size: 1.5rem;
    }

    .trending-words-area {
        flex-direction: column;
        align-items: flex-start !important;
    }

    .trending-words-title {
        margin-top: 0;
    }

    .trending-words-list {
        padding: 0;
        margin: 0;
    }

    .search-thumb {
        display: none;
    }

    .search-item {
        flex-direction: column;
    }

    .search-row {
        /* flex-direction: column; */
        align-items: stretch;
    }

    .search-scope select {
        width: 120px;
    }

    .search-submit button {
        width: 100%;
    }

}


/* cmn css 否定 */

select {
    -moz-appearance: revert;
    appearance: revert;
    background:none;
}